# Get Enriched Organization Users

Returns detailed information about an organization's users

Endpoint: POST /api/v2.0/orgs/{orgToken}/users/info
Version: 2.0
Security: bearer-key

## Path parameters:

  - `orgToken` (string, required)
    org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

## Request fields (application/json):

  - `userEmails` (array, required)
    Example: ["jon.smith@mail.com"]

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (array)

  - `retVal.uuid` (string, required)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.name` (string)
    Example: "Jon Smith"

  - `retVal.email` (string)
    Example: "jon.smith@mail.com"

  - `retVal.userType` (string)
    Enum: "REGULAR", "SERVICE", "SCAN_SUMMARY_RECEIVER"

  - `retVal.accountStatus` (string)
    Enum: "ACTIVE", "INACTIVE", "LOCKOUT"

  - `retVal.roles` (array)

  - `retVal.roles.contextToken` (string)
    Depending on the value of contextType, this can be:
+ orgToken (org UUID by running Entities - Organization > Get User Organization) or Api Token (from the Mend SCA App: Integrate tab > API Key).
+ productToken (product UUID (by running Entities - Organization > Get Organization Products) or Product Token (from the Mend SCA App: Integrate tab > Product Token.
+ projectToken (project UUID by running Entities - Product > Get Product Projects) or project Token (from the Mend SCA App: Integrate tab > Project Token).
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.roles.contextName` (string)
    Example: "My Project"

  - `retVal.roles.contextType` (string)
    Type of entity the role will be associated with
    Enum: "orgs", "products"

  - `retVal.roles.role` (string)
    Enum: "DEFAULT_APPROVER", "ADMIN", "ALERT_EMAIL_RECEIVER", "ALERTS_IGNORER", "LICENSE_AND_COPYRIGHT_ASSIGNER", "AUDITOR", "USER", "PRODUCT_INTEGRATOR", "SBOM_EXPORTER"

  - `retVal.activationLink` (string)

  - `retVal.groupNames` (array)

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


